//
//  MapViewController.swift
//  Example6Swift
//
//  Created by Patrick BODET on 25/08/2016.
//  Copyright © 2016 iDevelopper. All rights reserved.
//

import UIKit

class MapViewController: UIViewController {
    
    @IBOutlet weak var leftButton: UIBarButtonItem!
    @IBOutlet weak var rightButton: UIBarButtonItem!
    @IBOutlet weak var toolBar: UIToolbar!

    override func viewDidLoad() {
        super.viewDidLoad()

        leftButton.target = self.revealViewController()
        leftButton.action = #selector(PBRevealViewController.revealLeftView)
        
        rightButton.target = self.revealViewController()
        rightButton.action = #selector(PBRevealViewController.revealRightView)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override func viewWillAppear(animated: Bool) {
        super.viewWillAppear(animated)
        
        let controller = revealViewController().rightViewController
        
        var frame = controller.view.frame
        frame.size.height = UIScreen.mainScreen().bounds.size.height - self.navigationController!.navigationBar.frame.size.height - toolBar.frame.size.height - (UIApplication.sharedApplication().statusBarHidden ? 0 : 20)
        controller.view.frame = frame
    }
    
    override func viewWillDisappear(animated: Bool) {
        super.viewWillDisappear(animated)
        
        let controller = revealViewController().rightViewController
        
        var frame = controller.view.frame
        frame.size.height = UIScreen.mainScreen().bounds.size.height - self.navigationController!.navigationBar.frame.size.height -  (UIApplication.sharedApplication().statusBarHidden ? 0 : 20)
        controller.view.frame = frame
    }
    
    override func viewWillTransitionToSize(size: CGSize, withTransitionCoordinator coordinator: UIViewControllerTransitionCoordinator) {
        coordinator.animateAlongsideTransition({ (context:UIViewControllerTransitionCoordinatorContext) in
            let controller = self.revealViewController().rightViewController
            
            var frame = controller.view.frame
            frame.size.height = size.height - self.navigationController!.navigationBar.frame.size.height - self.toolBar.frame.size.height - (UIApplication.sharedApplication().statusBarHidden ? 0 : 20)
            controller.view.frame = frame
            
        }) { (context:UIViewControllerTransitionCoordinatorContext) in
        }
        super.viewWillTransitionToSize(size, withTransitionCoordinator: coordinator)
    }
}
